%define module_name	kvm
%define module_release	alt1
%define module_version	85

%define kversion	2.6.27
%define krelease	alt16
%define flavour		std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/arch/x86/%module_name

Summary:	Linux KVM (Kernel Virtual Machine) module
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132635.16
License:	GPL2
Group:		System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://%module_name.qumranet.com/%{module_name}wiki
Patch: kvm-kernel-compat.patch

BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
Linux kernel module for Kernel Virtual Machine virtualization
environment.


%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%patch -p2
./configure


%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make -C %_usrsrc/linux-%kversion-%flavour M=$(pwd) V=1 \
	LINUXINCLUDE="-I$(pwd)/include -Iinclude -Iarch/x86/include \
	-I$(pwd)/include-compat -include include/linux/autoconf.h \
	-include $(pwd)/x86/external-module-compat.h"


%install
install -d -m 0755 %buildroot%module_dir
install -m 0644 x86/%module_name.ko %buildroot%module_dir/
%ifnarch k6 athlon athlon_xp k8 opteron athlon64
install -m 0644 x86/%module_name-intel.ko %buildroot%module_dir/
%endif
%ifnarch pentium2 pentium3 pentium4 nocona
install -m 0644 x86/%module_name-amd.ko %buildroot%module_dir/
%endif


%post
%post_kernel_modules %kversion-%flavour-%krelease


%postun
%postun_kernel_modules %kversion-%flavour-%krelease


%files
%dir %module_dir
%module_dir/%module_name.ko
%ifnarch k6 athlon athlon_xp k8 opteron athlon64
%module_dir/%module_name-intel.ko
%endif
%ifnarch pentium2 pentium3 pentium4 nocona
%module_dir/%module_name-amd.ko
%endif


%changelog
* Fri Apr 24 2009 Michail Yakushin <silicium@altlinux.ru> 85-alt1.132635.16
- Build for kernel-image-std-pae-2.6.27-alt16.

* Tue Apr 21 2009 Michail Yakushin <silicium@altlinux.ru> 85-alt1
- 85 

* Mon Mar 23 2009 Michail Yakushin <silicium@altlinux.ru> 84-alt2
- rebuild with new kvm build 

* Tue Mar 10 2009 Michail Yakushin <silicium@altlinux.ru> 84-alt1
- 84 

* Mon Jan 12 2009 Michail Yakushin <silicium@altlinux.ru> 82-alt1
- 82 

* Tue Dec 23 2008 Michail Yakushin <silicium@altlinux.ru> 81-alt1
- 81 

* Wed Dec 17 2008 Michail Yakushin <silicium@altlinux.ru> 80-alt1
- 80 

* Mon Dec 01 2008 Led <led@altlinux.ru> 79-alt1
- fixed build for kernels <2.6.28

* Thu Nov 25 2008 Led <led@altlinux.ru> 79-alt1
- 79

* Wed Nov 12 2008 Led <led@altlinux.ru> 78-alt1
- 78

* Wed Sep 24 2008 Led <led@altlinux.ru> 75-alt1
- 75

* Tue Sep 02 2008 Led <led@altlinux.ru> 74-alt1
- 74
- added kvm-74-kernel-compat.patch

* Sun May 11 2008 Led <led@altlinux.ru> 68-alt1
- 68

* Thu Apr 17 2008 Led <led@altlinux.ru> 66-alt1
- 66

* Tue Apr 08 2008 Led <led@altlinux.ru> 65-alt1
- 65

* Sun Mar 30 2008 Led <led@altlinux.ru> 64-alt1
- 64

* Thu Mar 19 2008 Led <led@altlinux.ru> 63-alt1
- 63

* Wed Feb 27 2008 Led <led@altlinux.ru> 62-alt0
- 62

* Sat Feb 23 2008 Led <led@altlinux.ru> 61-alt0
- 61

* Sun Feb 10 2008 Led <led@altlinux.ru> 60-alt0
- initial build
